{{ $basePath:= .basePath }}
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>GitLab Service Inventory Catalog | </title>

    <!-- Bootstrap -->
    <link href="{{ $basePath }}/assets/vendors/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Font Awesome -->
    <link href="{{ $basePath }}/assets/vendors/font-awesome/css/font-awesome.min.css" rel="stylesheet">
    <!-- NProgress -->
    <link href="{{ $basePath }}/assets/vendors/nprogress/nprogress.css" rel="stylesheet">

    <!-- Custom Theme Style -->
    <link href="{{ $basePath }}/assets/build/css/custom.min.css" rel="stylesheet">

    <link href="{{ $basePath }}/assets/vendors/nprogress/nprogress.css" rel="stylesheet">

    <link href="{{ $basePath }}/assets/vendors/iCheck/skins/flat/green.css" rel="stylesheet">

    <link href="{{ $basePath }}/assets/vendors/datatables.net-bs/css/dataTables.bootstrap.min.css" rel="stylesheet">
    <link href="{{ $basePath }}/assets/vendors/datatables.net-buttons-bs/css/buttons.bootstrap.min.css" rel="stylesheet">
    <link href="{{ $basePath }}/assets/vendors/datatables.net-fixedheader-bs/css/fixedHeader.bootstrap.min.css" rel="stylesheet">
    <link href="{{ $basePath }}/assets/vendors/datatables.net-responsive-bs/css/responsive.bootstrap.min.css" rel="stylesheet">
    <link href="{{ $basePath }}/assets/vendors/datatables.net-scroller-bs/css/scroller.bootstrap.min.css" rel="stylesheet">
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <div class="col-md-3 left_col">
          <div class="left_col scroll-view">
            <div class="navbar nav_title" style="border: 0;">
              <a href="{{ $basePath }}/" class="site_title"><span>Service Catalog</span></a>
            </div>

            <div class="clearfix"></div>
            <br />

            <!-- sidebar menu -->
            <div id="sidebar-menu" class="main_menu_side hidden-print main_menu">
              <div class="menu_section">
                <h3>General</h3>
                <ul class="nav side-menu">
                  <li><a href="{{ $basePath }}/"><i class="fa fa-home"></i> Home <span class="fa"></span></a>
                  </li>
                  <li><a href="{{ $basePath }}/services"><i class="fa fa-cog"></i> Services <span class="fa"></span></a>
                  </li>
                  <li><a href="{{ $basePath }}/teams"><i class="fa fa-users"></i> Teams <span class="fa"></span></a>  
                  </li>
                </ul>
              </div>
              
            </div>
            <!-- /sidebar menu -->
          </div>
        </div>

        <!-- top navigation -->
        <div class="top_nav">
          <div class="nav_menu">
            <nav>
              <div class="nav toggle">
                <a id="menu_toggle"><i class="fa fa-bars"></i></a>
              </div>
            </nav>
          </div>
        </div>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
              <div class="title_left">
                <h3>Services</h3>
              </div>
            </div>
            <div class="clearfix"></div>
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Services <small>Click on a service name to look at more detailed info</small></h2>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                    <table id="datatable" class="table table-striped table-bordered">
                      <thead>
                        <tr>
                          <th>Name</th>
                          <th>Tier</th>
                          <th>Label</th>
                          <th>Teams</th>
                          <th>Infra Owner</th>
                        </tr>
                      </thead>
                      <tbody>
                        {{ range .catalog.Services }}
                        <tr>
                            <td><a href="{{ $basePath }}/services/{{ .Name }}">{{ .Name }}</a></td>
                            <td> {{ .Tier.Name }} </td>
                            <td><a href="https://gitlab.com/gitlab-com/gl-infra/infrastructure/issues?label_name={{ .Label }}"><span class="label label-primary">{{ .Label }}</span></a></td>
                            <td> 
                                {{ range .Teams }} 
                                  <a href="/teams/{{.Name}}"><span class="label label-info">{{ .Name }}</span></a>
                                {{ end }}
                            </td>
                            <td>
                              <a href="https://about.gitlab.com/handbook/engineering/infrastructure/team/reliability/#{{.InfraOwner}}">
                                {{ if eq .InfraOwner "reliability-engineering-secure--defend" }}
                                  Secure & Defend
                                {{ end }}
                                {{ if eq .InfraOwner "reliability-engineering-cicd--enablement" }}
                                  CI/CD & Enablement
                                {{ end }}
                                {{ if eq .InfraOwner "reliability-engineering-dev--ops" }}
                                  Dev & Ops
                                {{ end }}
                              </a>
                            </td>
                        </tr>
                        {{ end }}
                      </tbody>
                    </table>

                  </div>
                </div>
              </div>
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
        <footer>
          <div class="pull-right">
            GitLab Service Inventory Catalog
          </div>
          <div class="clearfix"></div>
        </footer>
        <!-- /footer content -->
      </div>
    </div>

    <!-- jQuery -->
    <script src="{{ $basePath }}/assets/vendors/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap -->
    <script src="{{ $basePath }}/assets/vendors/bootstrap/dist/js/bootstrap.min.js"></script>
    <!-- FastClick -->
    <script src="{{ $basePath }}/assets/vendors/fastclick/lib/fastclick.js"></script>
    <!-- NProgress -->
    <script src="{{ $basePath }}/assets/vendors/nprogress/nprogress.js"></script>
    
    <!-- Custom Theme Scripts -->
    <script src="{{ $basePath }}/assets/build/js/custom.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/iCheck/icheck.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/datatables.net/js/jquery.dataTables.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/datatables.net-bs/js/dataTables.bootstrap.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/datatables.net-buttons/js/dataTables.buttons.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/datatables.net-buttons-bs/js/buttons.bootstrap.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/datatables.net-buttons/js/buttons.flash.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/datatables.net-buttons/js/buttons.html5.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/datatables.net-buttons/js/buttons.print.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/datatables.net-fixedheader/js/dataTables.fixedHeader.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/datatables.net-keytable/js/dataTables.keyTable.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/datatables.net-responsive/js/dataTables.responsive.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/datatables.net-responsive-bs/js/responsive.bootstrap.js"></script>
    <script src="{{ $basePath }}/assets/vendors/datatables.net-scroller/js/dataTables.scroller.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/jszip/dist/jszip.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/pdfmake/build/pdfmake.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/pdfmake/build/vfs_fonts.js"></script>
    <script src="{{ $basePath }}/assets/build/js/custom.min.js"></script>
  </body>
</html>
